#include "snow00.bm"
#include "snow01.bm"
#include "snow02.bm"
#include "snow03.bm"
#include "snow04.bm"
#include "snow05.bm"
#include "snow06.bm"
#define SNOWFLAKEMAXTYPE 6  

#define MAXSNOWFLAKES 1000
#define MAXYSTEP 10  /* falling speed max */
#define MAXXSTEP 6  /* falling speed max */
#define WHIRLFACTOR 4


typedef struct Snow {
    int intX;
    int intY;
    int xStep;    /* drift */
    int yStep;    /* falling speed */
    int active;
    int whatFlake;
} Snow;


static struct Image snowPix[] = {
	{0,0, snow00_width, snow00_height, 1, snow00_bits, 0x1, 0x2, NULL},
	{0,0, snow01_width, snow01_height, 1, snow01_bits, 0x1, 0x2, NULL},
	{0,0, snow02_width, snow02_height, 1, snow02_bits, 0x1, 0x2, NULL},
	{0,0, snow03_width, snow03_height, 1, snow03_bits, 0x1, 0x2, NULL},
	{0,0, snow04_width, snow04_height, 1, snow04_bits, 0x1, 0x2, NULL},
	{0,0, snow05_width, snow05_height, 1, snow05_bits, 0x1, 0x2, NULL},
	{0,0, snow06_width, snow06_height, 1, snow06_bits, 0x1, 0x2, NULL},
};


#include "tannenbaum.bm"

static struct Image tannenbaumPix[] = {
        {0,0, tannenbaum_width, tannenbaum_height, 1, tannenbaum_bits, 0x2, 0x1, NULL}
};


#include "sleigh0.bm"
#include "sleigh1.bm"
#include "sleigh2.bm"

typedef struct Santa {
    int x;
    int y;
    int xStep;    /* drift */
    int yStep;    /* falling speed */
    int active;
    int whatSanta; /* 0-2 index in pix */
} Santa;

static struct Image sleighPix[] = {
        {0,0, sleigh0_width , sleigh0_height, 1, sleigh0_bits, 0x3, 0x0, NULL},
        {0,0, sleigh1_width , sleigh1_height, 1, sleigh1_bits, 0x3, 0x0, NULL},
        {0,0, sleigh2_width , sleigh2_height, 1, sleigh2_bits, 0x3, 0x0, NULL}
};



#include "santa.bm"

static struct Image santaPix[] = {
        {0,0,santa_width, santa_height, 1, santa_bits, 0x2, 0x1, NULL}
};
